//=========================================================================
//Copyright LizardOfOz.
//This is still beta and things might and will change over time.
//
//Check the following links for updates:
//   https://tf2maps.net/members/lizardofoz.39426/#resources
//   https://twitter.com/LizardOfOz_
//   https://youtube.com/LizardOfOz
//
//Credits:
//  LizardOfOz - the original VSH Plugin. VSH Vscript recreation.
//  Maxxy - Saxton Hale's model imitating Jungle Inferno SFM; Custom animations and promotional material.
//  Velly - VFX, animations scripting, technical assistance
//  JPRAS - Mayann Hale body reference, model feedback.
//  MegapiemanPHD - Saxton Hale and Gray Mann voice acting.
//  Yakibomb - give_tf_weapon script bundle (used for Hale's first-person hands model).
//=========================================================================

haleJumpForce <- 700
haleSaxtonPunchRechargeTime <- 30
setupLength <- 16
::haleHP_N <- 30

function SetHaleJumpForce(newJumpForce)
{
    haleJumpForce = newJumpForce;
}

function CalcHaleMaxHealth(mercCount)
{
    return mercCount > 0 ? (mercCount * mercCount * haleHP_N + 1000) : 1000;
}

function GetPerPlayerDamageQuota()
{
    return startMercCount > 0 ? haleStartHealth / startMercCount : 1000;
}

function CalcHaleSpeed(hale)
{
    return 1.4 + (hale.GetMaxHealth() - hale.GetHealth()) * 1.2 / hale.GetMaxHealth();
}

function CalcStabDamage()
{
    return clampFloor(500, GetPerPlayerDamageQuota());
}